Skip to main content
PATCH
Update a cluster

Authorizations

Authorization
string
header
required

OAuth 2.0 access token obtained via POST /oauth/token with client_credentials grant. Tenant and scopes are embedded in the JWT. No additional headers needed.

Path Parameters

clusterId
string
required

The cluster's unique identifier, returned when the cluster was created.

Body

application/json
name
string
Example:

"North Campus"

limitKw
number | null

Set to null to remove the cluster cap.

Example:

250

locationIds
string[]
Minimum array length: 1
status
enum<string>
Available options:
ACTIVE,
INACTIVE

Response

Updated cluster

clusterId
string
Example:

"clst_20260612_a1b2c3d4"

tenantUuid
string
name
string
Example:

"North Campus"

locationIds
string[]
Example:
limitKw
number | null
Example:

200

status
enum<string>
Available options:
ACTIVE,
INACTIVE
createdAt
string<date-time>
updatedAt
string<date-time>